<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <h1>JQUERY</h1>
        <button class="btn btn-primary">Dữ liệu User</button>
        <button id="btn-car" class="btn btn-success">Dữ liệu Ô tô</button>
        <button id="btn-car" class="btn btn-success btn-oto1">Dữ liệu Ô tô1</button>
        <button id="btn-car" class="btn btn-success btn-oto2">Dữ liệu Ô tô2</button>
        <button id="btn-car" class="btn btn-success btn-oto3">Dữ liệu Ô tô3</button>
    </div>
</body>
<script>
    "use strict"
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $(".btn-oto1").on("click", function () {
            displayDataBtnOto1(this);
        })
        $(".btn-oto2").on("click", function () {
            displayDataBtnOto2(this);
        })
        $(".btn-oto3").on("click", function () {
            displayDataBtnOto3(this);
        })

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // gan du lieu cho btn oto 1
    function addDataBtnOto1() {
        $(".btn-oto1")
            .data("color", "red")
            .data("type", "mercides")
    }
    function addDataBtnOto2() {
        $(".btn-oto2")
            .data("color", "black")
            .data("type", "ferari")
    }
    function addDataBtnOto3() {
        $(".btn-oto3")
            .data("color", "pink")
            .data("type", "huyndai")
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function displayDataBtnOto1(paramE) {
        addDataBtnOto1();
        var vData = $(paramE).data();
        console.log(vData);

    }
    function displayDataBtnOto2(paramE) {
        addDataBtnOto2();
        var vData = $(paramE).data();
        console.log(vData);

    }
    function displayDataBtnOto3(paramE) {
        addDataBtnOto3();
        var vData = $(paramE).data();
        console.log(vData);

    }
</script>


</html>